[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TLookupList.Add

Add a key, value pair to the list

## Declaration

Source position: db.pas line 259

`public procedure TLookupList.Add(`
`const AKey: Variant;`
`const AValue: Variant`
`);`

## Arguments

`AKey` |  | Lookup key
`AValue` |  | Lookup value

## Description

Add will add the value AValue to the list and associate it with key AKey. The same key cannot be added twice.

## See also

TLookupList.Clear |  | Remove all key, value pairs from the list